org.wso2.carbon.logging.admin.stub

## Class LoggingAdminLoggingAdminException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.logging.admin.stub.LoggingAdminLoggingAdminException

- All Implemented Interfaces:
    Serializable

      public class LoggingAdminLoggingAdminException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingAdminLoggingAdminException()`
    `LoggingAdminLoggingAdminException(String s)`
    `LoggingAdminLoggingAdminException(String s, Throwable ex)`
    `LoggingAdminLoggingAdminException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggingAdminLoggingAdminException` | `getFaultMessage()`
    `void` | `setFaultMessage(LoggingAdminLoggingAdminException msg)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingAdminLoggingAdminException

          public LoggingAdminLoggingAdminException()

    - #### LoggingAdminLoggingAdminException

          public LoggingAdminLoggingAdminException(String s)

    - #### LoggingAdminLoggingAdminException

          public LoggingAdminLoggingAdminException(String s,
                                                   Throwable ex)

    - #### LoggingAdminLoggingAdminException

          public LoggingAdminLoggingAdminException(Throwable cause)

  - ### Method Detail

    - #### setFaultMessage

          public void setFaultMessage(LoggingAdminLoggingAdminException msg)

    - #### getFaultMessage

          public LoggingAdminLoggingAdminException getFaultMessage()

Copyright © 2019 WSO2. All rights reserved.